com.amazonaws.services.codebuild.model

## Class Project

- java.lang.Object
- - com.amazonaws.services.codebuild.model.Project

All Implemented Interfaces:
  Serializable, Cloneable

    public class Project
    extends Object
    implements Serializable, Cloneable

Information about a build project.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Project()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Project` `clone()`
`boolean` `equals(Object obj)`
`String` `getArn()` The build project's Amazon Resource Name (ARN).
`ProjectArtifacts` `getArtifacts()` Information about the build project's build output artifacts.
`Date` `getCreated()` When the build project was created, expressed in Unix time format.
`String` `getDescription()` A meaningful description of the build project.
`String` `getEncryptionKey()` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`ProjectEnvironment` `getEnvironment()` Information about the build environment for this build project.
`Date` `getLastModified()` When the build project's settings were last modified, expressed in Unix time format.
`String` `getName()` The build project's name.
`String` `getServiceRole()` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`ProjectSource` `getSource()` Information about the build project's build input source code.
`List<Tag>` `getTags()` The tags for this build project.
`Integer` `getTimeoutInMinutes()` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.
`int` `hashCode()`
`void` `setArn(String arn)` The build project's Amazon Resource Name (ARN).
`void` `setArtifacts(ProjectArtifacts artifacts)` Information about the build project's build output artifacts.
`void` `setCreated(Date created)` When the build project was created, expressed in Unix time format.
`void` `setDescription(String description)` A meaningful description of the build project.
`void` `setEncryptionKey(String encryptionKey)` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`void` `setEnvironment(ProjectEnvironment environment)` Information about the build environment for this build project.
`void` `setLastModified(Date lastModified)` When the build project's settings were last modified, expressed in Unix time format.
`void` `setName(String name)` The build project's name.
`void` `setServiceRole(String serviceRole)` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`void` `setSource(ProjectSource source)` Information about the build project's build input source code.
`void` `setTags(Collection<Tag> tags)` The tags for this build project.
`void` `setTimeoutInMinutes(Integer timeoutInMinutes)` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Project` `withArn(String arn)` The build project's Amazon Resource Name (ARN).
`Project` `withArtifacts(ProjectArtifacts artifacts)` Information about the build project's build output artifacts.
`Project` `withCreated(Date created)` When the build project was created, expressed in Unix time format.
`Project` `withDescription(String description)` A meaningful description of the build project.
`Project` `withEncryptionKey(String encryptionKey)` The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.
`Project` `withEnvironment(ProjectEnvironment environment)` Information about the build environment for this build project.
`Project` `withLastModified(Date lastModified)` When the build project's settings were last modified, expressed in Unix time format.
`Project` `withName(String name)` The build project's name.
`Project` `withServiceRole(String serviceRole)` The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
`Project` `withSource(ProjectSource source)` Information about the build project's build input source code.
`Project` `withTags(Collection<Tag> tags)` The tags for this build project.
`Project` `withTags(Tag... tags)` The tags for this build project.
`Project` `withTimeoutInMinutes(Integer timeoutInMinutes)` How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Project

    public Project()

### Method Detail

#### setName

    public void setName(String name)

The build project's name.

Parameters:
  `name` - The build project's name.

#### getName

    public String getName()

The build project's name.

Returns:
  The build project's name.

#### withName

    public Project withName(String name)

The build project's name.

Parameters:
  `name` - The build project's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArn

    public void setArn(String arn)

The build project's Amazon Resource Name (ARN).

Parameters:
  `arn` - The build project's Amazon Resource Name (ARN).

#### getArn

    public String getArn()

The build project's Amazon Resource Name (ARN).

Returns:
  The build project's Amazon Resource Name (ARN).

#### withArn

    public Project withArn(String arn)

The build project's Amazon Resource Name (ARN).

Parameters:
  `arn` - The build project's Amazon Resource Name (ARN).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A meaningful description of the build project.

Parameters:
  `description` - A meaningful description of the build project.

#### getDescription

    public String getDescription()

A meaningful description of the build project.

Returns:
  A meaningful description of the build project.

#### withDescription

    public Project withDescription(String description)

A meaningful description of the build project.

Parameters:
  `description` - A meaningful description of the build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSource

    public void setSource(ProjectSource source)

Information about the build project's build input source code.

Parameters:
  `source` - Information about the build project's build input source code.

#### getSource

    public ProjectSource getSource()

Information about the build project's build input source code.

Returns:
  Information about the build project's build input source code.

#### withSource

    public Project withSource(ProjectSource source)

Information about the build project's build input source code.

Parameters:
  `source` - Information about the build project's build input source code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArtifacts

    public void setArtifacts(ProjectArtifacts artifacts)

Information about the build project's build output artifacts.

Parameters:
  `artifacts` - Information about the build project's build output artifacts.

#### getArtifacts

    public ProjectArtifacts getArtifacts()

Information about the build project's build output artifacts.

Returns:
  Information about the build project's build output artifacts.

#### withArtifacts

    public Project withArtifacts(ProjectArtifacts artifacts)

Information about the build project's build output artifacts.

Parameters:
  `artifacts` - Information about the build project's build output artifacts.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(ProjectEnvironment environment)

Information about the build environment for this build project.

Parameters:
  `environment` - Information about the build environment for this build project.

#### getEnvironment

    public ProjectEnvironment getEnvironment()

Information about the build environment for this build project.

Returns:
  Information about the build environment for this build project.

#### withEnvironment

    public Project withEnvironment(ProjectEnvironment environment)

Information about the build environment for this build project.

Parameters:
  `environment` - Information about the build environment for this build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRole

    public void setServiceRole(String serviceRole)

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### getServiceRole

    public String getServiceRole()

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Returns:
  The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

#### withServiceRole

    public Project withServiceRole(String serviceRole)

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.

Parameters:
  `serviceRole` - The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that enables AWS CodeBuild to interact with dependent AWS services on behalf of the AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeoutInMinutes

    public void setTimeoutInMinutes(Integer timeoutInMinutes)

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.

Parameters:
  `timeoutInMinutes` - How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.

#### getTimeoutInMinutes

    public Integer getTimeoutInMinutes()

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.

Returns:
  How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.

#### withTimeoutInMinutes

    public Project withTimeoutInMinutes(Integer timeoutInMinutes)

How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.

Parameters:
  `timeoutInMinutes` - How long in minutes, from 5 to 480 (8 hours), for AWS CodeBuild to wait to timeout any related build that did not get marked as completed. The default is 60 minutes.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryptionKey

    public void setEncryptionKey(String encryptionKey)

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

#### getEncryptionKey

    public String getEncryptionKey()

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

#### withEncryptionKey

    public Project withEncryptionKey(String encryptionKey)

The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

Parameters:
  `encryptionKey` - The AWS Key Management Service (AWS KMS) customer master key (CMK) to be used for encrypting the build project's build output artifacts.

  This is expressed either as the CMK's Amazon Resource Name (ARN) or, if specified, the CMK's alias (using the format `alias/alias-name` ).

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTags

    public List<Tag> getTags()

The tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  The tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### setTags

    public void setTags(Collection<Tag> tags)

The tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - The tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

#### withTags

    public Project withTags(Tag... tags)

The tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public Project withTags(Collection<Tag> tags)

The tags for this build project.

These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Parameters:
  `tags` - The tags for this build project.

  These tags are available for use by AWS services that support AWS CodeBuild build project tags.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreated

    public void setCreated(Date created)

When the build project was created, expressed in Unix time format.

Parameters:
  `created` - When the build project was created, expressed in Unix time format.

#### getCreated

    public Date getCreated()

When the build project was created, expressed in Unix time format.

Returns:
  When the build project was created, expressed in Unix time format.

#### withCreated

    public Project withCreated(Date created)

When the build project was created, expressed in Unix time format.

Parameters:
  `created` - When the build project was created, expressed in Unix time format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModified

    public void setLastModified(Date lastModified)

When the build project's settings were last modified, expressed in Unix time format.

Parameters:
  `lastModified` - When the build project's settings were last modified, expressed in Unix time format.

#### getLastModified

    public Date getLastModified()

When the build project's settings were last modified, expressed in Unix time format.

Returns:
  When the build project's settings were last modified, expressed in Unix time format.

#### withLastModified

    public Project withLastModified(Date lastModified)

When the build project's settings were last modified, expressed in Unix time format.

Parameters:
  `lastModified` - When the build project's settings were last modified, expressed in Unix time format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Project clone()

Overrides:
  `clone` in class `Object`